package com.gic.haoban.manage.api.service.role;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.base.api.common.pojo.dto.WebLoginDTO;
import com.gic.haoban.manage.api.dto.qdto.role.HaobanRoleQDTO;
import com.gic.haoban.manage.api.dto.role.HaobanRoleDTO;

/**
 * @author xuwenqian
 * @date 2022/9/7 9:46 上午
 */
public interface HaobanRoleApiService {

    /**
     * 添加
     *
     * @param haobanRoleQDTO
     * @return {@link ServiceResponse }
     * @author mozhu
     * @date 2022-09-07 11:36:08
     */
    ServiceResponse add(HaobanRoleQDTO haobanRoleQDTO, WebLoginDTO login);


    /**
     * 编辑
     *
     * @param haobanRoleQDTO
     * @return {@link ServiceResponse }
     * @author mozhu
     * @date 2022-09-07 11:44:17
     */
    ServiceResponse edit(HaobanRoleQDTO haobanRoleQDTO,WebLoginDTO login);

    /**
     * 获取类型菜单
     *
     * @param wxEnterpriseId wx企业标识
     * @param clerkType      职员类型
     * @return {@link ServiceResponse}
     */
    ServiceResponse<HaobanRoleDTO> getMenuByWxEnterpriseIdAndClerkType(String wxEnterpriseId, Integer clerkType);

}
